要与这本书一起进行,您需要以下内容:

  • Mac运行 麦斯卡洛丽娜 (10.15)或更高版本。早期的版本可能会起作用,但它们被忽视了。

  • Xcode 12或更高版本。 Xcode是iOS的主要开发工具。您将需要Xcode 12或更高版本为本书中的任务。由于与IOS 13 SDK引入了合并,Xcode 11也可能工作 - 但本书中的代码对Xcode 12进行了测试。您可以在此处从Apple开发人员网站下载最新版本的Xcode: Apple.co/2asi58y.

  • 迅速的中级知识。本书教您如何使用Apple的组合框架编写声明和反应IOS应用程序。结合使用诸如泛型等多种高级迅速的功能,因此您至少应该至少是Swift的中级知识。

如果您想在物理IOS设备上尝试出现故事,您将需要一个带有Apple的开发人员帐户,您可以免费获得。但是,本书中的所有示例项目都将在使用Xcode捆绑在一起的IOS模拟器中正好工作,因此付费开发人员帐户完全可选。

有一个技术问题?想报告一个错误吗? 您可以向官方书籍论坛中的书籍作者提出问题和报告错误 这里.

有反馈分享在线阅读体验吗? 如果您有关于UI,UX,突出显示或我们在线阅读器的其他功能的反馈,您可以将其发送到设计团队,其中表格如下所示:

© 2021 Razeware LLC